Skip to main content
POST
/
{brand_id}
/
ai-referrals
/
connections
Register AI Referrals Connection
curl --request POST \
  --url https://api.scrunchai.com/v1/{brand_id}/ai-referrals/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "website": "example.com",
  "provider": "adobe_analytics"
}
'
import requests

url = "https://api.scrunchai.com/v1/{brand_id}/ai-referrals/connections"

payload = {
"website": "example.com",
"provider": "adobe_analytics"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({website: 'example.com', provider: 'adobe_analytics'})
};

fetch('https://api.scrunchai.com/v1/{brand_id}/ai-referrals/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "brand_id": 123,
  "website": "<string>",
  "provider": "adobe_analytics",
  "created_at": "2023-11-07T05:31:56Z",
  "last_pushed_at": "2023-11-07T05:31:56Z",
  "last_push_error": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer
required

The unique identifier for the brand.

Body

application/json

Payload to register a new AI Referrals connection.

website
string
required

Hostname or URL of the website whose referrals will be pushed.

Required string length: 1 - 2048
Example:

"example.com"

provider
string
required

Source analytics provider. MVP allow-list: 'adobe_analytics'.

Required string length: 1 - 64
Example:

"adobe_analytics"

Response

Connection registered.

A registered AI Referrals push connection.

id
string
required

ULID identifier for the connection.

brand_id
integer
required
website
string
required

Hostname or URL of the website whose referrals are pushed against this connection.

provider
string
required

Source analytics provider. MVP allow-list: 'adobe_analytics'.

Example:

"adobe_analytics"

status
enum<string>
required
Available options:
active,
disabled
created_at
string<date-time>
required
last_pushed_at
string<date-time> | null
last_push_error
string | null